<div *ngIf="loadCompleted">
  <a [routerLink]="['/home']" class="home"><mat-icon>home</mat-icon></a>
  >
  <a [routerLink]="['/category/', product.category_id]" class="home"
    ><mat-icon>category</mat-icon></a
  >
</div>
<mat-tab-group>
  <mat-tab label="product">
    <div *ngIf="loadCompleted" class="container d-flex justify-content-around">
      <div class="w-50">
        <div class="row mb-4 mt-4">
          <b class="product-title">{{ product.title }}</b>
        </div>
        <div class="row mb-4 mt-4">
          <p class="product-size">Size: {{ product.size }}</p>
        </div>
        <div class="row">
          <img
            [src]="pictureEndpoint + product.picture_path"
            width="auto"
            height="500"
            alt="Product picture"
            class="product-image"
          />
        </div>
        <div class="row mt-4">
          <p class="product-description">{{ product.description }}</p>
        </div>
      </div>

      <div class="w-50">
        <div class="mt-3 ml-3">
          <div>
            <i class="product-price mb-4">${{ product.price }}</i>
          </div>

          <button
            mat-raised-button
            (click)="addProduct(product.id)"
            [disabled]="isAdded()"
          >
            <mat-icon>shopping_basket</mat-icon>
          </button>
        </div>
        <div class="d-flex flex-wrap mt-4">
          <div *ngFor="let size of sizes">
            <a
              class="size-link"
              (click)="switchSize(size.id)"
            >
              <button
                mat-raised-button
                class="ml-3 mb-3"
                [class.active-link]="product.size === size.size"
              >
                {{ size.size }}
              </button></a
            >
          </div>
        </div>
      </div>
    </div>
  </mat-tab>
  <mat-tab label="feedbacks">
    <div *ngIf="isLoggedIn" class="d-flex justify-content-center my-4">
      <mat-form-field appearance="fill">
        <mat-label>Feedback message</mat-label>
        <textarea
          matInput
          [formControl]="feedbackMessage"
          autocomplete="off"
          spellcheck="false"
          autocorrect="off"
        ></textarea>
        <mat-error
          *ngIf="
            feedbackMessage.touched && feedbackMessage.getError('maxlength')
          "
          >Max message length is 255 characters</mat-error
        >
      </mat-form-field>
      <div class="d-flex align-items-center pl-2">
        <button
          mat-raised-button
          [disabled]="feedbackMessage.invalid"
          (click)="sendFeedback()"
        >
          <mat-icon>send</mat-icon>
        </button>
      </div>
    </div>

    <div class="feedbacks d-flex flex-column align-items-center mt-4">
      <div *ngFor="let feedback of feedbacks" class="feedback mb-2">
        <div
          class="d-flex justify-content-between align-content-center w-100 m-2 px-2"
        >
          <div class="feedback-owner">
            {{ feedback.user_email }}
          </div>
          <div>
            {{ feedback.sending_date | date: "MMM d, y" }}
          </div>
        </div>
        <div class="feedback-message px-2">
          {{ feedback.feedback_message }}
        </div>
      </div>
    </div>
  </mat-tab>
</mat-tab-group>
